> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete virtual GPU cluster server

> Delete a server from a virtual GPU cluster and its associated resources.



## OpenAPI

````yaml /api-reference/services_documented/cloud_api.yaml delete /cloud/v3/gpu/virtual/{project_id}/{region_id}/clusters/{cluster_id}/servers/{server_id}
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-14T07:00:22.640261+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
    x-displayName: Bare Metal
  - name: Container as a Service
    x-displayName: Container as a Service
  - name: Cost Reports
    x-displayName: Cost Reports
  - name: DDoS Protection
    x-displayName: DDoS Protection
  - name: Everywhere Inference
    x-displayName: Everywhere Inference
  - name: Everywhere Inference Apps
    x-displayName: Everywhere Inference Apps
  - name: File Shares
    x-displayName: File Shares
  - name: Floating IPs
    x-displayName: Floating IPs
  - name: Function as a Service
    x-displayName: Function as a Service
  - name: GPU Bare Metal
    x-displayName: GPU Bare Metal
  - name: GPU Virtual
    x-displayName: GPU Virtual
  - name: IP Ranges
    x-displayName: IP Ranges
  - name: Images
    x-displayName: Images
  - name: Instances
    x-displayName: Instances
  - name: Load Balancers
    x-displayName: Load Balancers
  - name: Logging
    x-displayName: Logging
  - name: Managed Kubernetes
    x-displayName: Managed Kubernetes
  - name: Managed PostgreSQL
    x-displayName: Managed PostgreSQL
  - name: Networks
    x-displayName: Networks
  - name: Placement Groups
    x-displayName: Placement Groups
  - name: Projects
    x-displayName: Projects
  - name: Quotas
    x-displayName: Quotas
  - name: Regions
    x-displayName: Regions
  - name: Registry
    x-displayName: Registry
  - name: Reservations
    x-displayName: Reservations
  - name: Reserved IPs
    x-displayName: Reserved IPs
  - name: Routers
    x-displayName: Routers
  - name: SSH Keys
    x-displayName: SSH Keys
  - name: Secrets
    x-displayName: Secrets
  - name: Security Groups
    x-displayName: Security Groups
  - name: Snapshot Schedules
    x-displayName: Snapshot Schedules
  - name: Snapshots
    x-displayName: Snapshots
  - name: Tasks
    x-displayName: Tasks
  - name: User Actions
    x-displayName: User Actions
  - name: User Role Assignments
    x-displayName: User Role Assignments
  - name: Volumes
    x-displayName: Volumes
paths:
  /cloud/v3/gpu/virtual/{project_id}/{region_id}/clusters/{cluster_id}/servers/{server_id}:
    delete:
      tags:
        - GPU Virtual
      summary: Delete virtual GPU cluster server
      description: Delete a server from a virtual GPU cluster and its associated resources.
      operationId: ClusterInstanceServerInstance.delete
      parameters:
        - in: path
          name: project_id
          required: true
          description: Project ID
          schema:
            description: Project ID
            example: 1
            examples:
              - 1
            title: Project Id
            type: integer
        - in: path
          name: region_id
          required: true
          description: Region ID
          schema:
            description: Region ID
            example: 7
            examples:
              - 7
            title: Region Id
            type: integer
        - in: path
          name: cluster_id
          required: true
          description: Cluster unique identifier
          schema:
            description: Cluster unique identifier
            example: 1aaaab48-10d0-46d9-80cc-85209284ceb4
            examples:
              - 1aaaab48-10d0-46d9-80cc-85209284ceb4
            format: uuid4
            title: Cluster Id
            type: string
        - in: path
          name: server_id
          required: true
          description: Server unique identifier
          schema:
            description: Server unique identifier
            example: f1c1eeb6-1834-48c9-a7b0-daafce64872b
            examples:
              - f1c1eeb6-1834-48c9-a7b0-daafce64872b
            format: uuid4
            title: Server Id
            type: string
        - in: query
          name: all_floating_ips
          required: false
          description: >-
            Flag indicating whether the floating ips associated with server /
            cluster are deleted
          schema:
            default: false
            description: >-
              Flag indicating whether the floating ips associated with server /
              cluster are deleted
            example: true
            examples:
              - true
            title: All Floating Ips
            type: boolean
        - in: query
          name: all_reserved_fixed_ips
          required: false
          description: >-
            Flag indicating whether the reserved fixed ips associated with
            server / cluster are deleted
          schema:
            default: false
            description: >-
              Flag indicating whether the reserved fixed ips associated with
              server / cluster are deleted
            example: true
            examples:
              - true
            title: All Reserved Fixed Ips
            type: boolean
        - in: query
          name: all_volumes
          required: false
          description: Flag indicating whether all attached volumes are deleted
          schema:
            default: false
            description: Flag indicating whether all attached volumes are deleted
            example: true
            examples:
              - true
            title: All Volumes
            type: boolean
        - in: query
          name: floating_ip_ids
          required: false
          description: Optional list of floating ips to be deleted
          schema:
            description: Optional list of floating ips to be deleted
            example:
              - e4a01208-d6ac-4304-bf86-3028154b070a
            examples:
              - - e4a01208-d6ac-4304-bf86-3028154b070a
            items:
              format: uuid4
              type: string
            title: Floating Ip Ids
            type: array
        - in: query
          name: reserved_fixed_ip_ids
          required: false
          description: Optional list of reserved fixed ips to be deleted
          schema:
            description: Optional list of reserved fixed ips to be deleted
            example:
              - a29b8e1e-08d3-4cec-91fb-06e81e5f46d5
            examples:
              - - a29b8e1e-08d3-4cec-91fb-06e81e5f46d5
            items:
              format: uuid4
              type: string
            title: Reserved Fixed Ip Ids
            type: array
        - in: query
          name: volume_ids
          required: false
          description: Optional list of volumes to be deleted
          schema:
            description: Optional list of volumes to be deleted
            example:
              - 1333c684-c3da-4b91-ac9e-a92706aa2824
            examples:
              - - 1333c684-c3da-4b91-ac9e-a92706aa2824
            items:
              format: uuid4
              type: string
            title: Volume Ids
            type: array
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaskIDsSerializer'
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from gcore import Gcore

            client = Gcore(
                api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
            )
            task_id_list = client.cloud.gpu_virtual.clusters.servers.delete(
                server_id="f1c1eeb6-1834-48c9-a7b0-daafce64872b",
                project_id=1,
                region_id=7,
                cluster_id="1aaaab48-10d0-46d9-80cc-85209284ceb4",
            )
            print(task_id_list.tasks)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/G-Core/gcore-go\"\n\t\"github.com/G-Core/gcore-go/cloud\"\n\t\"github.com/G-Core/gcore-go/option\"\n)\n\nfunc main() {\n\tclient := gcore.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\ttaskIDList, err := client.Cloud.GPUVirtual.Clusters.Servers.Delete(\n\t\tcontext.TODO(),\n\t\t\"f1c1eeb6-1834-48c9-a7b0-daafce64872b\",\n\t\tcloud.GPUVirtualClusterServerDeleteParams{\n\t\t\tProjectID: gcore.Int(1),\n\t\t\tRegionID:  gcore.Int(7),\n\t\t\tClusterID: \"1aaaab48-10d0-46d9-80cc-85209284ceb4\",\n\t\t},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", taskIDList.Tasks)\n}\n"
components:
  schemas:
    TaskIDsSerializer:
      properties:
        tasks:
          description: >-
            List of task IDs representing asynchronous operations. Use these IDs
            to monitor operation progress:

            - `GET /v1/tasks/{task_id}` - Check individual task status and
            details

            Poll task status until completion (`FINISHED`/`ERROR`) before
            proceeding with dependent operations.
          example:
            - d478ae29-dedc-4869-82f0-96104425f565
          examples:
            - - d478ae29-dedc-4869-82f0-96104425f565
          items:
            type: string
          title: Tasks
          type: array
      required:
        - tasks
      title: TaskIDsSerializer
      type: object
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````